LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices



Reply
 
Search this Thread
Old 10-27-2001, 03:28 PM   #1
jimo
LQ Newbie
 
Registered: Oct 2001
Posts: 7

Rep: Reputation: 0
kernel version mismatch


hi all,

i am trying to install the aureal vortex sound drivers from sourceforge, version 1.1.2, on my SuSE 7.1 but after make install20 i get the following message:

/lib/modules/2.4.0-4GB/misc/au8820.o: kernel-module version mismatch
/lib/modules/2.4.0-4GB/misc/au8820.o was compiled for kernel version 2.4.0 while this kernel is version 2.4.0-4GB.

must i tell the driver what kernel version i am using?
thanks
 
Old 10-28-2001, 05:56 PM   #2
isajera
Senior Member
 
Registered: Jun 2001
Location: San Antonio, TX
Distribution: distro? what's a distro?
Posts: 1,635

Rep: Reputation: 45
the au8820.o file is made with the binary asp20.o file included in the tarball - the asp20.o was compiled under 2.4.0 - i couldn't find the source for it right off - i'll keep looking tho. it needs to be recompiled under your kernel version. are you getting any unresolved symbols?
 
Old 10-28-2001, 06:00 PM   #3
isajera
Senior Member
 
Registered: Jun 2001
Location: San Antonio, TX
Distribution: distro? what's a distro?
Posts: 1,635

Rep: Reputation: 45
ok... found a link on how to get it fixed:

http://sourceforge.net/forum/forum.p...forum_id=25250

hope that helps
 
Old 10-29-2001, 02:58 PM   #4
jimo
LQ Newbie
 
Registered: Oct 2001
Posts: 7

Original Poster
Rep: Reputation: 0
thx mate it works!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
kernel version mismatch error Pratik H Pandya Programming 0 09-03-2005 01:43 AM
Kernel version Source Version mismatch after recompile chuckleberry Linux - Software 1 06-20-2005 07:37 PM
Kernel-module Version Mismatch !!! lionking_x Linux - Networking 1 02-02-2004 03:07 PM
Kernel-module Version Mismatch !!! lionking_x Linux - Software 1 02-02-2004 03:06 PM
Linux kernel version mismatch claudiu_t Linux - Software 3 10-12-2003 07:25 AM


All times are GMT -5. The time now is 04:02 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration